<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<style type="text/css">
</style>
</head>
<body>
	<!-- 둘의 거리가 50+50으로 100이 되어야 하지만 인접한 마진은 서로 상쇄되어 50만 남는다. -->
	<div style="background-color: red; height: 50px; width: 50px; margin-bottom: 50px;">
	</div>
	<div style="background-color: yellow; height: 50px; width: 50px; margin-top: 50px;">
	</div>
	
	<!-- 둘의 사이에 마진을 가진 empty 객체(높이가 0)가 있는데, 높이가 0이기 때문에 이 객체의 탑과 바텀 마진도 상쇄된다. -->
	<div style="background-color: red; height: 50px; width: 50px; margin-bottom: 50px;">
	</div>
	<div style="height: 0px; width: 50px; margin-top: 50px; margin-bottom: 50px;">
	</div>
	<div style="background-color: yellow; height: 50px; width: 50px; margin-top: 50px;">
	</div>
	
	<!-- 부모와 첫 자식의 마진도 서로 상쇄된다.
	특이 사항으로 상쇄된 마진은 부모의 경계 기준으로 합쳐진다. -->
	<div style="background-color: red; height: 50px; width: 50px; margin-top: 50px;">
		<div style="background-color: yellow; height: 20px; width: 50px; margin-top: 100px;">
		</div>
	</div>
</body>
</html>